package com.higormorais.controller;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.higormorais.model.entities.Produto;
import com.higormorais.service.ProdutoService;

@RestController
@RequestMapping("/api/produtos")
public class ProdutoController {

	@Autowired
	private ProdutoService produtoService;
	
	@GetMapping
	public List<Produto> obterTodos() {
		return produtoService.obterTodos();
	}
	
	@GetMapping("/{id}")
	public Optional<Produto> obterPorId(@PathVariable Integer id) {
		return produtoService.obterPorId(id);
	}
	
	@PostMapping
	public void adicionar(@RequestBody Produto produto) {
		produtoService.adicionar(produto);
	}
	
	@DeleteMapping("/{id}")
	public void deletar(@PathVariable Integer id) {
		produtoService.deletar(id);
	}
	
	@PutMapping("/{id}")
	public void atualizar(@PathVariable Integer id, @RequestBody Produto produto) {
		produtoService.atualizar(id, produto);
	}
	
}
