package com.higormorais.repository;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

import org.springframework.stereotype.Repository;

import com.higormorais.model.entities.Produto;
import com.higormorais.model.exception.ResourceNoutFoundException;

@Repository
public class ProdutoRepository_old {

	private List<Produto> produtos = new ArrayList<>();
	private Integer ultimoId = 0;
	
	public List<Produto> obterTodos() {
		return produtos;
	}
	
	public Optional<Produto> obterPorId(Integer id) {
		return produtos.stream().filter(produto -> produto.getId() == id).findFirst();
	}
	
	public void adicionar(Produto produto) {
		ultimoId++;
		produto.setId(ultimoId);
		produtos.add(produto);
	}
	
	public void deletar(Integer id) {
		if(produtos.isEmpty()) {
			throw new ResourceNoutFoundException("Produto não encontrado");
		}
		
		produtos.removeIf(produto -> produto.getId() == id);
	}
	
	public void atualizar(Produto produto) {
		Optional<Produto> produtoEncontrado = obterPorId(produto.getId());
		
		if(produtoEncontrado.isEmpty()) {
			throw new ResourceNoutFoundException("Produto não encontrado");
		}
		
		deletar(produto.getId());
		
		produtos.add(produto);
	}
	
}
