package com.higormorais.service;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.higormorais.model.entities.Produto;
import com.higormorais.repository.ProdutoRepository_old;

@Service
public class ProdutoService {

	@Autowired
	private ProdutoRepository_old produtoRepository;
	
	public List<Produto> obterTodos() {
		return produtoRepository.obterTodos();
	}
	
	public Optional<Produto> obterPorId(Integer id) {
		return produtoRepository.obterPorId(id);
	}
	
	public void adicionar(Produto produto) {
		produtoRepository.adicionar(produto);
	}
	
	public void deletar(Integer id) {
		produtoRepository.deletar(id);
	}
	
	public void atualizar(Integer id, Produto produto) {
		produto.setId(id);
		produtoRepository.atualizar(produto);
	}
}
